<?php
/*
Plugin Name: GTranslate Dynamic Media
Description: Allows media to be dynamically change for the language being displayed with shortcodes. IE: Instructional videos in multiple languages.
Version: 1.0
Author: Robert Iseley
Author URI: http://www.robertiseley.com
*/



add_action('wp_footer', 'gtdm_gtranslate_modify');
function gtdm_gtranslate_modify() {
$script = ''.
	
	'<script type="text/javascript">
	(function(w) {
	
		var doGTranslateOld = w.doGTranslate;
		
		w.doGTranslate = function (lang_pair) {
			var lang=lang_pair.split("|")[1];
	
		jQuery(".gtdm").each(function(i) {
			if(!jQuery(this).hasClass("gtdm-hide")) {
				jQuery(this).addClass("gtdm-hide");
			}
			
			if(jQuery(this).hasClass("lang-"+lang)) {
				jQuery(this).removeClass("gtdm-hide");
			}
		});
		doGTranslateOld(lang_pair);
		}
	
		}) (window || {});
	</script>';
$style = '<style>.gtdm-hide { display:none; }</style>';
	
echo $script;
echo $style;
}

add_shortcode('gtdm', 'gtdm_func');
function gtdm_func($atts, $content = NULL) {
	$gtranslate_data = get_option('GTranslate');
	
	$atts = shortcode_atts( array(
			'lang' => '',
			'display' => 'block',
			'element' => 'div'
	), $atts);
	
	$display = '';
	if(is_null($content)) return;
	
	if(isset($_COOKIE['googtrans'])) {
		if('/'.$gtranslate_data['default_language'].'/'.$atts['lang'] != $_COOKIE['googtrans']) {
			$display = 'gtdm-hide';
		}
	} else {
		if($gtranslate_data['default_language'] != $atts['lang']) {
			$display = 'gtdm-hide';
		}
			
	}
	
		return '<'.$atts['element'].' class="gtdm lang-'.$atts['lang'].' '.$display.'">'.$content.'</'.$atts['element'].'>';
	
}